package Bencher::ScenarioR::DataComparisonModules::Compare;

our $VERSION = 0.004; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset     => "array len=1000",
        errors      => 2.4e-05,
        participant => "Data::Diff::diff",
        rate        => 150,
        samples     => 20,
        time        => 6.9,
        vs_slowest  => 1,
      },
      {
        dataset     => "hash keys=1000",
        errors      => 2.4e-05,
        participant => "Data::Diff::diff",
        rate        => 170,
        samples     => 20,
        time        => 5.8,
        vs_slowest  => 1.2,
      },
      {
        dataset     => "hash keys=1000",
        errors      => 8.7e-06,
        participant => "Data::Comparator::data_comparator",
        rate        => 180,
        samples     => 21,
        time        => 5.6,
        vs_slowest  => 1.2,
      },
      {
        dataset     => "hash keys=1000",
        errors      => 9e-06,
        participant => "Data::Compare::Compare",
        rate        => 190,
        samples     => 20,
        time        => 5.2,
        vs_slowest  => 1.3,
      },
      {
        dataset     => "array len=1000",
        errors      => 1.7e-05,
        participant => "Data::Comparator::data_comparator",
        rate        => 190,
        samples     => 20,
        time        => 5.2,
        vs_slowest  => 1.3,
      },
      {
        dataset     => "array len=1000",
        errors      => 1.8e-05,
        participant => "Data::Compare::Compare",
        rate        => 250,
        samples     => 20,
        time        => 3.9,
        vs_slowest  => 1.7,
      },
      {
        dataset     => "hash keys=1000",
        errors      => 9.9e-06,
        participant => "Test::Deep::NoTest::eq_deeply",
        rate        => 320,
        samples     => 20,
        time        => 3.1,
        vs_slowest  => 2.2,
      },
      {
        dataset     => "hash keys=1000",
        errors      => 1e-05,
        participant => "Data::Cmp::Numeric::cmp_data",
        rate        => 350,
        samples     => 20,
        time        => 2.9,
        vs_slowest  => 2.4,
      },
      {
        dataset     => "hash keys=1000",
        errors      => 2.8e-05,
        participant => "Data::Cmp::StrOrNumeric::cmp_data",
        rate        => 500,
        samples     => 20,
        time        => 2,
        vs_slowest  => 3,
      },
      {
        dataset     => "hash keys=1000",
        errors      => 2.2e-06,
        participant => "Data::Cmp::cmp_data",
        rate        => 600,
        samples     => 20,
        time        => 1.7,
        vs_slowest  => 4.1,
      },
      {
        dataset     => "array len=1000",
        errors      => 5.4e-06,
        participant => "Data::Cmp::cmp_data",
        rate        => 620,
        samples     => 20,
        time        => 1.6,
        vs_slowest  => 4.2,
      },
      {
        dataset     => "array len=1000",
        errors      => 1.1e-05,
        participant => "Data::Cmp::Numeric::cmp_data",
        rate        => 630,
        samples     => 20,
        time        => 1.6,
        vs_slowest  => 4.3,
      },
      {
        dataset     => "array len=1000",
        errors      => 2e-06,
        participant => "Data::Cmp::StrOrNumeric::cmp_data",
        rate        => 800,
        samples     => 20,
        time        => 1.2,
        vs_slowest  => 5.5,
      },
      {
        dataset     => "array len=1000",
        errors      => 2e-06,
        participant => "Test::Deep::NoTest::eq_deeply",
        rate        => 1200,
        samples     => 20,
        time        => 0.82,
        vs_slowest  => 8.4,
      },
      {
        dataset     => "hash keys=10",
        errors      => 2.1e-07,
        participant => "Test::Deep::NoTest::eq_deeply",
        rate        => 5300,
        samples     => 20,
        time        => 0.19,
        vs_slowest  => 36,
      },
      {
        dataset     => "array len=10",
        errors      => 4.8e-07,
        participant => "Test::Deep::NoTest::eq_deeply",
        rate        => 7000,
        samples     => 20,
        time        => 0.14,
        vs_slowest  => 48,
      },
      {
        dataset     => "array len=10",
        errors      => 1.1e-07,
        participant => "Data::Compare::Compare",
        rate        => 12000,
        samples     => 20,
        time        => 0.084,
        vs_slowest  => 82,
      },
      {
        dataset     => "array len=10",
        errors      => 8e-08,
        participant => "Data::Diff::diff",
        rate        => 13000,
        samples     => 20,
        time        => 0.076,
        vs_slowest  => 90,
      },
      {
        dataset     => "hash keys=10",
        errors      => 8.9e-08,
        participant => "Data::Compare::Compare",
        rate        => 16000,
        samples     => 29,
        time        => 0.061,
        vs_slowest  => 110,
      },
      {
        dataset     => "hash keys=10",
        errors      => 1.1e-07,
        participant => "Data::Comparator::data_comparator",
        rate        => 17000,
        samples     => 20,
        time        => 0.059,
        vs_slowest  => 120,
      },
      {
        dataset     => "hash keys=10",
        errors      => 1.1e-07,
        participant => "Data::Diff::diff",
        rate        => 18000,
        samples     => 20,
        time        => 0.056,
        vs_slowest  => 120,
      },
      {
        dataset     => "array len=10",
        errors      => 1.2e-07,
        participant => "Data::Comparator::data_comparator",
        rate        => 18000,
        samples     => 23,
        time        => 0.054,
        vs_slowest  => 130,
      },
      {
        dataset     => "hash keys=10",
        errors      => 2.2e-07,
        participant => "Data::Cmp::Numeric::cmp_data",
        rate        => 32000,
        samples     => 22,
        time        => 0.031,
        vs_slowest  => 220,
      },
      {
        dataset     => "array len=10",
        errors      => 1.2e-07,
        participant => "Data::Cmp::StrOrNumeric::cmp_data",
        rate        => 36000,
        samples     => 20,
        time        => 0.027,
        vs_slowest  => 250,
      },
      {
        dataset     => "array len=10",
        errors      => 7e-08,
        participant => "Data::Cmp::cmp_data",
        rate        => 45000,
        samples     => 20,
        time        => 0.022,
        vs_slowest  => 310,
      },
      {
        dataset     => "array len=10",
        errors      => 1.4e-07,
        participant => "Data::Cmp::Numeric::cmp_data",
        rate        => 45000,
        samples     => 20,
        time        => 0.022,
        vs_slowest  => 310,
      },
      {
        dataset     => "hash keys=10",
        errors      => 6e-08,
        participant => "Data::Cmp::StrOrNumeric::cmp_data",
        rate        => 49000,
        samples     => 20,
        time        => 0.021,
        vs_slowest  => 330,
      },
      {
        dataset     => "hash keys=10",
        errors      => 2e-08,
        participant => "Data::Cmp::cmp_data",
        rate        => 62000,
        samples     => 20,
        time        => 0.016,
        vs_slowest  => 430,
      },
      {
        dataset     => "simple scalar",
        errors      => 1.1e-08,
        participant => "Test::Deep::NoTest::eq_deeply",
        rate        => 150000,
        samples     => 32,
        time        => 0.0069,
        vs_slowest  => 1000,
      },
      {
        dataset     => "simple scalar",
        errors      => 7.9e-10,
        participant => "Data::Diff::diff",
        rate        => 209000,
        samples     => 20,
        time        => 0.00478,
        vs_slowest  => 1440,
      },
      {
        dataset     => "simple scalar",
        errors      => 2.2e-08,
        participant => "Data::Compare::Compare",
        rate        => 210000,
        samples     => 20,
        time        => 0.0048,
        vs_slowest  => 1400,
      },
      {
        dataset     => "simple scalar",
        errors      => 1.6e-09,
        participant => "Data::Comparator::data_comparator",
        rate        => 301000,
        samples     => 24,
        time        => 0.00332,
        vs_slowest  => 2070,
      },
      {
        dataset     => "simple scalar",
        errors      => 6.7e-09,
        participant => "Data::Cmp::StrOrNumeric::cmp_data",
        rate        => 500000,
        samples     => 20,
        time        => 0.002,
        vs_slowest  => 3500,
      },
      {
        dataset     => "simple scalar",
        errors      => 3.3e-09,
        participant => "Data::Cmp::Numeric::cmp_data",
        rate        => 650000,
        samples     => 20,
        time        => 0.0015,
        vs_slowest  => 4500,
      },
      {
        dataset     => "simple scalar",
        errors      => 4.2e-10,
        participant => "Data::Cmp::cmp_data",
        rate        => 1220000,
        samples     => 20,
        time        => 0.000821,
        vs_slowest  => 8370,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "DataComparisonModules::Compare",
                                          },
      "func.bencher_version"           => undef,
      "func.code_startup"              => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "sdbg",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "epb",
                                                                                "intel_pt",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 2599.963,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "sdbg",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "epb",
                                                                                "intel_pt",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2599.963,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "sdbg",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "epb",
                                                                                "intel_pt",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2599.963,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "sdbg",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "epb",
                                                                                "intel_pt",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 2599.963,
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 2.45267081260681,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__"                                       => 1.041,
                                            "Bencher::Scenario::DataComparisonModules::Compare" => undef,
                                            "Benchmark::Dumb"                                   => 0.111,
                                            "Data::Cmp"                                         => 0.005,
                                            "Data::Cmp::Numeric"                                => 0.005,
                                            "Data::Cmp::StrOrNumeric"                           => 0.005,
                                            "Data::Comparator"                                  => undef,
                                            "Data::Compare"                                     => 1.25,
                                            "Data::Diff"                                        => 0.01,
                                            "Devel::Platform::Info"                             => 0.16,
                                            "perl"                                              => "v5.26.1",
                                            "Sys::Info"                                         => 0.78,
                                            "Test::Deep::NoTest"                                => undef,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => [
                                            "perl",
                                            ["perl"],
                                            "participant",
                                            [0 .. 6],
                                            "dataset",
                                            [0, 1, 2, 4, 5],
                                          ],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "sylvia",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-4.10.0-38-generic",
                                            kname    => "Linux",
                                            kvers    => "4.10.0-38-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 18.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 18.3 Sylvia \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 18.3 Sylvia\nRelease:\t18.3\nCodename:\tsylvia",
                                                          "uname -a"        => "Linux backpacker 4.10.0-38-generic #42~16.04.1-Ubuntu SMP Tue Oct 10 16:32:20 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "4.10.0-38-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::DataComparisonModules::Compare",
      "func.scenario_module_md5sum"    => "df1581024202a78adea41b0c57075fba",
      "func.scenario_module_mtime"     => 1534070502,
      "func.scenario_module_sha1sum"   => "57c793c5b044841b12269c1c17a1b9f215f14115",
      "func.scenario_module_sha256sum" => "615febc11c46e987d76a745480d32756796ae53148179e49a56d1e9de67d1284",
      "func.time_end"                  => 1534381748.95183,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1534381746.49916,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark data comparison modules

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

